Subject: Re: bug#25525: 25.1.90; add color highlighting to css mode

From: Tom Tromey <[email-masked]>
Date: Wed, 03 May 2017 16:03:52 -0600

Etienne> I’ve thought in the pass it would be nicer if we had a real (S)CSS
Etienne> parser. I don’t mean by that a renderer (it would be a completely
Etienne> different project). Instead I mean something that tells us the generated
Etienne> “cascade”.

Etienne> This would give us the ability to fontify (S)CSS color variables with
Etienne> what color they got. We could also fontify color transformations.

Etienne> What do you think?

I think it would be good, but it would require more than just a CSS
parser - you also need the DOM, so you'd need a way for Emacs to
associate CSS and HTML files.

Tom